/* BASIC SETTINGS PART BEGINS HERE */

body {
  font-family: Arial, Helvetica, sans-serif;
  margin: 0;
  background: #1A1A1A;
}

* {
  box-sizing: border-box;
}

h1 {
	font-size: 42px;
	color: white;
}

h2 {
	font-size: 35px;
	color: white;
}

h3 {
	color: #415B76;
	font-size: 23px;
	font-weight: normal;
}

h4 {
	color: white;
	font-size: 21px;
	font-weight: bold;
}


/* BASIC SETTINGS PART ENDS HERE */
/* HEADER PART BEGINS HERE */

.header-container {
  position: relative;
  padding: 80px;
  background: #0E1213;
  color: white;
  text-align: center;
}

/*metis logo méretezés*/
.header-logo {
	width: 70%;
}

/*animáció alap stílus*/
pre {
  font-size: 25pt;
  font-family: "Times New Roman", Times, serif;
  color: #EDB2BE;
  display: inline;
}

/* animáció pozíció */
.header-animation {
  position: absolute;
  top: 72%;
  left: 50%;
  transform: translate(-50%, -50%);
}

/* 3 rész animációi */
.header-text-first {
	opacity: 0;
	animation: fadeInAnimation ease 3s; 
    animation-iteration-count: 1; 
    animation-fill-mode: forwards; 
	animation-duration: 3.2s;
	animation-delay: 0.4s;
	} 
        @keyframes fadeInAnimation { 
            0% { 
                opacity: 0; 
            } 
            100% { 
                opacity: 1; 
            } 
        }

.header-text-second {
	opacity: 0;
	animation: fadeInAnimation ease 3s; 
    animation-iteration-count: 1; 
    animation-fill-mode: forwards; 
	animation-duration: 3.2s;
	animation-delay: 1.4s;
	} 
        @keyframes fadeInAnimation { 
            0% { 
                opacity: 0; 
            } 
            100% { 
                opacity: 1; 
            } 
        }
		
.header-text-third {
	opacity: 0;
	animation: fadeInAnimation ease 3s; 
    animation-iteration-count: 1; 
    animation-fill-mode: forwards; 
	animation-duration: 3.2s;
	animation-delay: 2.4s;
	} 
        @keyframes fadeInAnimation { 
            0% { 
                opacity: 0; 
            } 
            100% { 
                opacity: 1; 
            } 
        }
		
/* HEADER PART ENDS HERE */
/* NAVBAR PART BEGINS HERE */


nav {
  width: 100%;
  transition: top 0.5s;
  background-color: #0E1213;
  display: flex;
}

#logo {
	opacity: 0.0;
}

.logo{
    padding: 10px 0px 10px 40px;
}
.logo img {
    height: 100%;
	max-height: 50px;
	position: relative;
}

/*Styling Links*/
.nav-links{
    display: flex;
    list-style: none; 
    width: 100%;
    justify-content: space-evenly;
    align-items: center;
}
.navbar-link {
	text-decoration: none;
	color: white;
	text-transform: uppercase;
	font-size: 18px;
}

.navbar-link:hover {
    color: #415B76;
	transition: all ease-in-out 300ms;
}

.nav-links li {
    position: relative;
}

/*Styling Buttons*/
.login-button{
    background-color: transparent;
    border: 1.5px solid #415B76;
    border-radius: 18px;
    padding: 10px 15px;
    margin-left: 8px;
    font-size: 18px;
    cursor: pointer;
	color: #415B76;
	text-decoration: none;
}

.login-button:hover {
    background-color: #415B76;
    transition: all ease-in-out 350ms;
	color: white;
}

/*Styling Hamburger Icon*/
.hamburger div{
    width: 40px;
    height: 4px;
    background: #f2f5f7;
    margin: 5px 7px 7px 7px;
    transition: all 0.3s ease;
	position: relative;
	top: 25%;
	vertical-align: center;
}

.hamburger {
	display: none;
}

.sticky {
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 9999;
}

/*Animating Hamburger Icon on Click*/
.toggle .line1{
    transform: rotate(-45deg) translate(-5px,10px);
}
.toggle .line2{
    transition: all 0.7s ease;
    width:0;
}
.toggle .line3{
    transform: rotate(45deg) translate(-5px,-10px);
}

/* NAVBAR PART ENDS HERE */
/* CONTENT PART BEGINS HERE */

/* FIRST BLOCK */

.introduction {
	margin: 0px 120px 0px 120px;
}

/* Create two equal columns that floats next to each other */
.column {
  float: left;
  padding: 30px 10px 60px 10px;
}

.left {
  width: 55%;
}

.right {
  width: 45%;
}

/* Clear floats after the columns -> az összes row-ra vonatkozik */
.row:after {
  content: "";
  display: table;
  clear: both;
}

.column p {
	color: #666666;
	line-height: 1.6;
	font-weight: bold;
	font-size: 16px;
	padding: 0px 0px 10px 0px;
}

.buttons {
	display: inline-block;
}

.button1 {
  background-color: #415B76;
  font-size: 16px;
  color: white; 
  border: 3px solid #415B76;
  border-radius: 6px;
  padding: 16px 32px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  margin: 4px 25px 0px 2px;
  cursor: pointer;
}

.button1:hover {
  background-color: transparent;
  color: white;
  transition: all ease-in-out 350ms;
}

.button2 {
  background-color: transparent;
  font-size: 16px;
  color: white; 
  border: 3px solid #415B76;
  border-radius: 6px;
  padding: 16px 44px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  margin: 4px 2px;
  cursor: pointer;
}

.button2:hover {
  background-color: #415B76;
  color: white;
  transition: all ease-in-out 350ms;
}

/* play-circle part */

.play-wapper {
	padding: 140px 0px 0px 0px;
}

.play-container {
  position: relative;
  text-align: center;
}

.fa-play {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 60px;
  color: #415B76;
}

.circle {
  transition: transform .2s;
  height: 350px;
  width: 350px;
  background-color: transparent;
  border: 3px solid #415B76;
  border-radius: 50%;
  display: inline-block;
}

.circle:hover {
  -ms-transform: scale(1.1); /* IE 9 */
  -webkit-transform: scale(1.1); /* Safari 3-8 */
  transform: scale(1.1);
}

/* SECOND BLOCK */

.column-about {
  float: left;
  width: 100%;
  padding: 60px 350px 60px 350px;
  background-color: #1F1F1F;
  text-align: center;
}

.column-about p {
	color: #666666;
	line-height: 1.6;
	font-weight: bold;
	font-size: 16px;
}

.button3 {
  background-color: #1F1F1F; 
  color: #415B76; 
  border: 0px solid #1F1F1F;
  padding: 16px 2px 16px 32px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  margin: 4px 2px;
  cursor: pointer;
  line-height: 1.6;
  font-weight: bold;
  font-size: 16px;
}

.button3:hover {
  color: white;
}

/* THIRD BLOCK */

.what-we-do {
  margin: 0px;
  background-color: #1A1A1A;
}

.column-do {
  float: left;
  width: 100%;
  padding: 60px 380px 0px 380px;
  text-align: center;
}

.column-do p {
	color: #666666;
	line-height: 1.6;
	font-weight: bold;
	font-size: 16px;
	padding: 0px 20px 0px 20px;
	text-align: center;
}

.do-service {
	margin: 0px 120px 100px 120px;
}

.column-service {
  float: left;
  width: 33.3%;
  padding: 0px 10px;
  text-align: center;
}

.card {
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
  padding: 16px;
  text-align: center;
  background-color: #1F1F1F;
}

.column-service img {
    width: 45%;
    height: auto;
}

.column-service p {
	color: #666666;
	line-height: 1.6;
	font-weight: bold;
	font-size: 14px;
	padding: 0px;
	text-align: center;
}

.service-button {
	margin: 35px 0px 25px 0px;
}

.button4 {
  background-color: #415B76; 
  color: white; 
  border: 3px solid #415B76;
  border-radius: 6px;
  margin: 5px 0px;
  padding: 12px 28px;
  text-align: center;
  text-decoration: none;
  cursor: pointer;
  font-size: 14px;
}

.button4:hover {
  background-color: transparent;
  color: white;
  transition: all ease-in-out 350ms;
}

.what-we-do-4 {
  margin: 0;
}

.wrapper-4 {
	margin: 0px 160px 100px 160px;
}

.column-do-4 {
  float: left;
  width: 100%;
  padding: 60px 380px 0px 380px;
  text-align: center;
}

.column-do-4 p {
	color: #666666;
	line-height: 1.6;
	font-weight: bold;
	font-size: 16px;
	padding: 0px 20px 0px 20px;
	text-align: center;
}

.service-4-wrapper {
	width: 100%;
	float: left;
}

.column-service-4 {
  float: left;
  width: 50%;
  padding: 20px 20px;
  text-align: center;
}

.column-service-4 img {
    width: 30%;
    height: auto;
}

.column-service-4 p {
	color: #666666;
	line-height: 1.6;
	font-weight: bold;
	font-size: 14px;
	padding: 0px;
	text-align: center;
}

/* FOURTH BLOCK */

.recent-works {
	margin: 0px 120px 55px 120px;

}

.column-works-left {
  float: left;
  width: 40%;
  padding: 30px 10px 10px 10px;
}

.column-works-right {
  float: left;
  width: 60%;
  padding: 30px 10px 10px 40px;
}

.column-works-left {
	color: white;
}

.column-works-left p {
	color: #666666;
	line-height: 1.6;
	font-weight: bold;
	font-size: 16px;
	padding: 0px 0px 40px 0px;
}

.column-project {
  float: left;
  width: 50%;
  padding: 10px;
}

.card-project {
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
  padding: 16px 16px 18px 16px;
  text-align: center;
  background-color: #1F1F1F;
}

.container {
  position: relative;
}

.image {
  opacity: 0.6;
  display: block;
  transition: .5s ease;
  backface-visibility: hidden;
  padding: 0px 0px 10px 0px;
}

.middle {
  transition: .5s ease;
  opacity: 0;
  position: absolute;
  top: 99%;
  left: 50%;
  transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  text-align: center;
  width: 100%;
}

.middle p {
	font-size: 16px;
	font-weight: bold;
	color: white;
	padding: 8px;
}

.card-project:hover .image {
	opacity: 1;
}

.card-project:hover .middle {
	opacity: 1;
}

.container:hover .middle {
	opacity: 1;
}

/* FIFTH BLOCK */

.column-testimonial {
  float: left;
  width: 100%;
  padding: 50px 400px 50px 400px;
  background-color: #1F1F1F;
  text-align: center;
  position: relative;
}

.column-testimonial p {
	color: white;
	line-height: 1.6;
	font-style: italic;
	font-size: 14px;
}

.mySlides {display: none}

/* Slideshow container */
.slideshow-container {
  max-width: 1000px;
  position: relative;
  margin: auto;
  padding: 0px 0px 40px 0px;
}


/* The dots/bullets/indicators */
.dot {
  cursor: pointer;
  height: 12px;
  width: 12px;
  margin: 0 2px;
  background-color: #bbb;
  border-radius: 50%;
  display: inline-block;
  transition: background-color 0.6s ease;
}

.dots .active {
  background-color: #415B76;
}

.dots .dot:hover {
	background-color: #6C92A7;
}

.mySlides p:first-child {
	color: #666666;
}

/* SIXTH BLOCK */

.triangle-up {
	width: 0;
	height: 0;
	border-left: 20px solid transparent;
	border-right: 20px solid transparent;
	border-bottom: 20px solid #415B76;
	position: absolute;
	left: 48.8%;
	bottom: 0%;
}

.cta-column {
  float: left;
  width: 100%;
  padding: 30px 400px 30px 400px;
  background-color: #415B76;
  text-align: center;
  position: relative;
}

.cta-column p {
	font-size: 35px;
	font-weight: bold;
	color: white;	
}

.button5 {
  background-color: #415B76; 
  color: white; 
  border: 3px solid white;
  border-radius: 6px;
  padding: 14px 30px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  margin: 4px 2px;
  cursor: pointer;
}

.button5:hover {
  background-color: white;
  color: #415B76;
  transition: all ease-in-out 350ms;
}

/* SEVENTH BLOCK */

.column-partners {
  float: left;
  width: 100%;
  padding: 20px 300px 70px 300px;
  text-align: center;
}

.column-partners p {
	color: white;
	line-height: 1.6;
	font-weight: bold;
	font-size: 14px;
	padding: 0px 0px 20px 0px;
}

.partners-logo {
	width: 22%;
	opacity: 0.4;
    -webkit-filter: brightness(0) invert(1);
    filter: brightness(0) invert(1);
}

.partners-logo:hover {
  opacity: 1;
  -webkit-filter: brightness(1) invert(0);
  filter: brightness(1) invert(0);
}

/* EIGHT BLOCK */

.blog-part {
  margin: 0px 0px 0px 0px;
  background-color: #1A1A1A;
}

.column-blogs {
  float: left;
  width: 100%;
  padding: 50px 400px 20px 400px;
  text-align: center;
}

.column-blogs p {
	color: #666666;
	line-height: 1.6;
	font-weight: bold;
	font-size: 16px;
	padding: 0px;
	text-align: center;
}

.blog {
	margin: 0px 120px 60px 120px;
}

.column-blog {
  float: left;
  width: 33.33%;
  padding: 0px 20px 45px 20px;
  text-align: center;
}

.card-blog {
  padding: 0px 0px 10px 0px;
  text-align: center;
  background-color: #1F1F1F;
}

.column-blog img {
    width: 100%;
    height: auto;
}

.blog-img {
  opacity: 0.6;
  transition: .5s ease;
  backface-visibility: hidden;
}

.column-blog a {
	text-decoration: none;
}

.card-blog p {
	opacity: 0.8;
	transition: .5s ease;
	color: white;
	padding: 5px 3px 5px 3px;
	margin: 0px;
	line-height: 1.8;
	font-weight: bold;
	font-size: 18px;
	backface-visibility: hidden;
}

.blog-details {
	transition: .5s ease;
	color: #666666;
	margin: 0px;
	line-height: 1.6;
	font-size: 12px;
	backface-visibility: hidden;
}

.card-blog:hover .blog-img {
	opacity: 1;
}

.card-blog:hover .blog-details {
	opacity: 1;
}

.card-blog:hover p {
	opacity: 1;
}

.blog-button {
	text-align: center;
}

.button6 {
  background-color: #415B76; 
  color: white; 
  border: 3px solid #415B76;
  border-radius: 6px;
  padding: 12px 20px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  cursor: pointer;
}

.button6:hover {
  background-color: transparent;
  color: white;
  transition: all ease-in-out 350ms;
}

/* CONTENT PART ENDS HERE */
/* FOOTER PART BEGINS HERE */

footer {
	background-color: #1F1F1F;
}

.column-footer1 {
  float: left;
  width: 50%;
  padding: 10px 120px 10px 120px;
  background-color: #1F1F1F;
  color: #666666;
}

.column-footer1 p {
	font-size: 14px;
	font-weight: bold;
	padding-bottom: 10px;
}

.footer-cta {
	color: white;
	font-size: 20px !important;
}

.button7 {
  background-color: #415B76; 
  color: white; 
  border: 3px solid #415B76;
  border-radius: 6px;
  padding: 10px 12px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  cursor: pointer;
  font-size: 14px;
}

.button7:hover {
  background-color: #1A1A1A;
  color: white;
  transition: all ease-in-out 350ms;
}

.column-footer2 {
  float: left;
  width: 50%;
  padding: 10px 120px 10px 20px;
  text-align: left;
  background-color: #1F1F1F;
  color: #666666;
  font-weight: bold;
}

.column-footer-link {
  float: left;
  width: 50%;
}

.column-footer2 a {
	font-size: 14px;
	font-weight: bold;
	text-decoration: none;
}

.column-footer2 a:link {
  color: #666666;
}

.column-footer2 a:hover {
  color: #415B76;
}

.column-footer2 a:visited {
  color: #666666;
}
.column-footer2 a:visited:hover {
  color: #415B76;
}

.footer-links {
  list-style-type: none;
  margin: 0;
  padding: 0;
  padding-bottom: 20px;
}

.column-copyright {
  float: left;
  width: 100%;
  padding: 0px;
  text-align: center;
  background-color: #1F1F1F;
}

.column-copyright  p {
	font-size: 12px;
	color: #666666;
}

.socials a {
	padding-right: 12px;
	padding-left: 0px;
}
.socials a:link {
  color: black;
}

.socials a:hover {
  color: #415B76;
}

.socials a:visited {
  color: black;
}
.socials a:visited:hover {
  color: #415B76;
}

.footer_ajanlat span {
  color: white;
  display: inline-block;
  text-align: center;
  padding: 8px 8px 8px 8px;
  text-decoration: none;
  background-color: #415B76;
  border-radius: 6px;
  font-size: 14px;
  border: 3px solid #415B76;
}

.footer_ajanlat span:hover {
  background-color: #1F1F1F;
  color: #415B76
}

/* Slideshow container */
.slideshow-container-szolgaltatasok {
  position: relative;
  text-align: center;
  padding-top: 40px;
}

/* Slides */
.mySlides-szolgaltatasok {
  display: none;
  padding: 10px 80px 50px 80px;
  text-align: center;
}

/* Next & previous buttons */
.prev-szolgaltatasok, .next-szolgaltatasok {
  cursor: pointer;
  position: absolute;
  top: 60%;
  width: auto;
  padding: 16px;
  color: #888;
  font-weight: bold;
  font-size: 30px;
  border-radius: 0 3px 3px 0;
  user-select: none;
}

/* Position the "next button" to the right */
.next-szolgaltatasok {
  position: absolute;
  right: 4%;
  border-radius: 3px 0 0 3px;
}

.prev-szolgaltatasok {
  position: absolute;
  left: 4%;
  border-radius: 3px 0 0 3px;
}

/* On hover, add a black background color with a little bit see-through */
.prev-szolgaltatasok:hover, .next-szolgaltatasok:hover {
  color: white;
}

.column-project-szolgaltatasok {
  width: 23%;
  padding: 10px 0px;
  display: inline-block;
}

.column-project-szolgaltatasok a {
	text-decoration: none;
}

.card-project-szolgaltatasok:hover {
	box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.8);
}

.card-project-szolgaltatasok {
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
  padding: 16px;
  text-align: center;
  background-color: #1F1F1F;
}


.container-szolgaltatasok {
  position: relative;
}

.container-szolgaltatasok p {
	color: #666666;
	line-height: 1.6;
	font-weight: bold;
	font-size: 14px;
	padding: 0px;
	text-align: center;
}



